<?php
session_start();
require('conexionn.php');

if (isset($_POST['id_pedido'])) {
    $id_pedido = $_POST['id_pedido'];

    $sql = "SELECT dv.id, p.descripcion AS producto, dv.cantidad, dv.precio FROM detalle_ventas dv JOIN producto p ON dv.id_producto = p.codproducto WHERE dv.id_venta = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("i", $id_pedido);
    $stmt->execute();
    $result = $stmt->get_result();

    $detalles = [];
    while ($row = $result->fetch_assoc()) {
        $detalles[] = $row;
    }
    echo json_encode($detalles);
}
?>